package router

import (
	"github.com/gin-gonic/gin"
	"kra/internal/server/handler"
)

func RegisterPublic(group *gin.RouterGroup, engine *gin.Engine, h *handler.Public) {
	base := group.Group("/base")
	base.POST("/captcha", h.Captcha)
	base.POST("/login", h.Login)
	init := group.Group("/init")
	init.POST("/checkdb", h.CheckDatabase)
	init.POST("/initdb", h.InitializeDatabase(engine))
}
